A Firefox ESR letiltotta az összes kiegészítőt

 ( Ebcsont | 2019. május 4., szombat - 8:47 )

Üdv!

Ma egyik pillanatról a másikra a yesscript 2 kivételével minden kiegészítőmet letiltotta a Firefox 60. Valaki járt még így? uBlock Origin, Facebook Container, Dark mode, Decentralyes, Quick Google Translator, Youtube Video and Audio downloader. A vicc az egészben az, hogy a felajánlott alternatívák se telepíthetők. Ötlet, javaslat a helyzet megoldására?

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Nem csak neked, mindenki addonját letiltotta a Mozilla, az összes platformon, az összes Firefox verziót érinti. Turnak róla, dolgoznak a javítását. Egy tanúsítvány járt le, az okozza a hibát.


No keyboard detected... Press F1 to run the SETUP

Köszi! Közben rátaláltam én is. Egy másik topikban, illetve feltünhetett volna, hogy a hivatalos tárolóból se tudok telepíteni. :)

Amíg nem javítják, addig vagy Developer Edition-t vagy Nightly-t tudsz feltenni, azokban az xpinstall.signatures.required értékét false-ra kell állítani. Bár nálam nem csak az addonokat tiltotta le, hanem a témákat is. Ez a beállítás megoldotta az addonok problémáját, de a témákat továbbra sem tudom telepíteni :-(


No keyboard detected... Press F1 to run the SETUP

"az xpinstall.signatures.required értékét false-ra kell állítani"

Az ESR-ben nálam is megoldotta a az addon problémát.

Akkor ezek szerint ESR-ben is működik. „Sima” stable Firefoxban nem működik, erről több visszajelzést is olvastam.


No keyboard detected... Press F1 to run the SETUP

Én is simát használok, és ott is van rá megoldás.
Az about:config alatt van(vagy ha nincs létrehozható) a korábbi hozzászólásban említett bejegyzés, de alapból még nem elég.
Az about:debugging alatt be kell kapcsolni a kiegészítők hibakeresését, és kézzel a profilból az xpi fájlokat beolvasgatni.

No úgy tűnik helyreállt a világrend, már csak a nyelvi csomagon kínlódik..

Már keresem is - mit kéne Firefox helyett...?! :-0
Eddig a "links -g URL" a legszimpibb... :-\
BTW. én is így jártam... :(

Kezdőlapom (saját url) szintén eltűnt, mivel a korábban beépített módon lehetett választani, hogy új fül megnyitásakor mi legyen rajta - ezt már kiegészítővel lehet megtenni, ami most már szintén nem megy.
A folyamatos változások miatt valószínűleg én is keresek másik böngészőt.
Köszönjük!

Nem mainstream OS-en ez nem olyan egyszerű. Ha váltottál megmondod majd mire?

Éppen ideje lenne egy "Vivaldi"-fordításnak BSD-re... Esetleg, ha tudtok ilyenről...)

A chromium alapot a FreeBSD patchekkel le lehetne talán fordítani, de a cuccos, amitől Vivaldi a Vivaldi azt nem rakhatod mellé. Warez release meg nemár.

FreeBSD-n Linux emulátor alá próbáltam felrakni a linuxos Vivaldit, de hiányzott függőség, így nem indult el. Felbehagytam.

> A folyamatos változások miatt valószínűleg én is keresek másik böngészőt.

Van olyan böngésző a földön ami használható (nem wget vagy links) de nincs bedrótozva a gyártó szerverére?

Jó kérdés. Nem ismerem a böngészőket, de régebben volt az uzbl, sokáig használtam is, de már jó ideje nem frissül. A surf is egész használható volt - lehet, meg kellene ismét nézni (a logok alapján fejlesztgetik még).

Köszi, a surf-ot kipróbálom.

Itt is tudom ajánlani az Iceweasel-UXP-t. Firefox 52 alapú, még van benne GTK2/ALSA/XUL/NPAPI támogatás, de mentes minden mozzarella bullshittől.

Az nem tudom, hogy mennyire van bedrótozva, de a waterfoxra rápróbálhatsz.
Ugyan még 56-os verzió, de frissítgetik, majd egyszer lesz vadonatúj(68), remélem ott is megtartják a XUL-t.

Ha már a többiek mindenfélét javasolgattak, még néhány potenciális jelölt:
otter-browser
falkon
qutebrowser
midori
palemoon
cliqz

Nem tudom, melyik milyen hosszú életű lesz (vannak közöttük több éve létezőek is), illetve ki mennyire van bedrótozva, de talán nem.

Ezek FreeBSD alatt is megtalálhatóak, csomagból/portból telepíthetőek (kikadff kedvéért is :) ).

Még a Waterfox volt a legtöbbek által jónak tartott megoldás a Fox kiváltásra...

Végigpróbáltam Windows 10-re telepítve őket, elvégre egy böngészőt használna az ember szinkronizálva, minden gépen, OS-en. Legalábbis én.

Otter-browser

Lassú. Görgetés picit darabos, beépített adblock van, EasyList és egyéb használható. Kinézete a rendszertől picit elüt.

Falcon

Sebessége elmegy, de a beállított windows skin ellenére az egész felület halovány, mintha rányomtam volna egy áttetszőség effektet, betűk élsimítása szörnyű. (Ez lehet egyedi hiba, valamiért a viber is ilyen a gépen.)
Adblock van, EasyList, stb. Görgetés nagyon darabos.

Qutebrowser

Ha szereted a vim-et. Amúgy lassúcska, pluginokat nem nagyon kezel, beállítófelületet én nem találtam.

Midori

Első indítás során lefagy egy percre, de elindul. Lassúcska, adblockja félig működik, 10 percen belül kétszer omlik össze.

Palemoon

Simán csak működik. Gyors, régi ffox addonok mennek, downthemall, ublock origin, flash, java, silverbigyó. Görgetés gyors, akadozás nem nagyon van. Eddig nyertes.

Cliqz

Ez egy átszabott ffox, jó randa kék. Még a kiegészítők is ugyanúgy nem mennek benne, de a hotfix az nem működik. A letöltési oldalon pedig csak Windows és Mac szerepel.

A Palemoon-t megtartom, meglátjuk, mi lesz belőle. A többi részemről kuka.

---
A Linux nem ingyenes. Meg kell fizetni a tanulópénzt.
Az emberek 66 százaléka nem tud számolni! Gondoljatok bele, ez majdnem a fele!!
Mindenki jó valamire. Ha másra nem, hát elrettentő példának.

Ideiglenes workaround a következő Reddit szálban található, amíg a Mozillánál sikerül megoldani a problémát:
https://www.reddit.com/r/firefox/comments/bkcjoa/all_of_my_addons_got_disabled_and_they_are_all/

Note to self: about:config -> "devtools.chrome.enabled" true

Köszi a témanyitást, akkor nem is kell keresgélnem csak várni.

Pedig már pont írni akartam ajnasznak, hogy hoho, Hupper, de akkor nem kell :)

BlackY
--
"en is amikor bejovok dolgozni, nem egy pc-t [..] kapcsolok be, hanem a mainframe-et..." (sj)

Reggel kicsit én is meglepődtem, mert én ESR52.6.0 - át használok millió xul-lal és BSD-n, de a Mozillánál 2 perc alatt megtaláltam az "xpinstall"-t, bár még kiabál az "extension-nök nem ellenőrizhetőségről" de működnek, sőt frissülnek is. - (Azért durva, hogy a fejlesztés egy pillanat alatt lelőheti a kiterjesztések működését, és ehhez elég ha a "plugin-site"-ot "átbillentik". - Ez is mutatja, milyen kiszolgáltatott egy böngésző felhasználója. (Vajon hány biztonsági "kézbentartást" fejleszthettek még bele?)

Nem használható ki valamiképpen ez a "funkció" a böngésző kiterjesztésekkel megoldott védelmét "kukázó" virus fejlesztésére?

Napi dirty hack - amíg meg nem tákolják, itt:
https://news.ycombinator.com/item?id=19824410
olvasd végig a szálat! :P

fogalmam sincs mi az a Firefox "ESR" (remélem nem az, amire gondolok), de nekem minden kiegészítőm a helyén (66.0.3, linux_x64)

Extended Support Release, hoszabban támogatott verzió (emlékezetből 8 sima főverziónként csinálnak egy ESR kiadást, aztán a következő főverziókból csak a biztonsági javításokat teszik bele, a feature cuccokat csak egyben a következő ESR-nél)

BlackY
--
"en is amikor bejovok dolgozni, nem egy pc-t [..] kapcsolok be, hanem a mainframe-et..." (sj)

Ugyanaz, mint a Firefox, csak régi. Mindez azoknak, akik azt hiszik, hogy ha valami régi, attól jó is egyben, pedig dehogy. A böngészők Debianja. :P


tr '[:lower:]' '[:upper:]' <<<locsemege
LOCSEMEGE

Gondolom Téged is havonta cserélnek.. :)

Nem emberi kapcsolatokról beszéltem. Amúgy meg nem. Long term support van rám. :)


tr '[:lower:]' '[:upper:]' <<<locsemege
LOCSEMEGE

Akkor rólad is azt hiszik, hogy mivel régi vagy ezért jó is vagy.:)

Ez egy adott korig igaz, aztán megkopik az ember csillogása. Elég sokat pörgök mostanában amúgy is az öregedés miatti aggodalmak fölött, ne paráztass még Te is! ;)


tr '[:lower:]' '[:upper:]' <<<locsemege
LOCSEMEGE

Oké! Igyekezlek megnyugtatni, ha valami régi az nem törvényszerűen rossz! Így megfelel? :)

"Elég sokat pörgök mostanában amúgy is az öregedés miatti..."

No para! Pár addon (műfogsor, csípőprotézis, stb.) és simán megy tovább a verda. (Csak a tanúsítványod le ne járjon...)

---
Science for fun...

"old but not obsolete"

Ne felejtsük el, az állandó frissességen túl vannak más szempontok is.. Pl. ha megszoktad, hogy egy "add-on"-al mented egyszerűen a bookmark-okat, jelszavakat, előzményeket, mindent akkor sz*r érzés ha az újabb verzióval mindezt nem teheted meg. (Rendszeresen szükségem van az "offline" mentésre ilyen egyszerűen.) De sorolhatnám az ezer éve cipelt gyorsindítót, a video-lementő programot stb. (És nem, nincsen a webextesion-ok között azonos értékű alternatívájuk.) - Egyébként évekig viszem ugyanazt a verziót, természetesen a blokkerek frissülnek, soha nem volt ebből gondom. Csak akkor cserélek, ha a web jórésze már a böngésző avultsága miatt nem elérhető. Ilyen a Presto-s Operával volt, de csak fejlesztésének befejezését követő 5 év múlva. Az is csak részlegesen, lassan jelentkezett. (Sztem a "hup" még ma is menne rajta.., :) - És igen kafa az ESR ha nem akarsz bétául tesztelni. És én NEM! - A cégemnél a megszületése óta azzal dolgoznak. Minden gond nélkül.

Az az LTS, csak "mozillául" :-)

Mindig meglepődök az ilyeneken. Bármelyik informatikus, aki látott már tanúsítványt, és nem idióta, tudhatja, hogy egy tanúsítványnak van lejárata. A tanúsítvány létrehozásakor, beállításakor rögtön annak kellene lennie a következő gondolatnak, hogy mi a terv lejárat esetére. Azt hittem, ez a Mozilla egy komoly cég.

A Mozillánál az átlagon aluli felhasználó lett a célcsoport.

:)

Ilyen sajnos a Mozillanal komolyabb helyeken is elofordul...

Ez egyébként igaz, de nem a Mozillát minösíti, hanem a "komolyabb helyeket".

--
robyboy

Ahogy latom, sajnos, "komoly hely" nem letezik mar.

Úgy érted hogy te még sosem követtél el banális hibát, és nem is érted hogy hogyan lehetséges?

nc

----------------------------------
szélsőségesen idealista, fősodratú hozzászólás

Az én verziómon még nincs, de azért majd szóljatok, ha már jó. :-)

Javítás (forrás: https://blog.mozilla.org/addons/2019/05/04/update-regarding-add-ons-in-firefox/)

"Why not just post a link to the fix that can be installed WITHOUT enabling Studies? This sounds like a clever plan to get more people to share their data via Studies…

The fix in question can be installed by clicking this link [1]. It’s signed by Mozilla.

Thanks to user gpm at Hacker News, who posted this tip [2].

[1] https://storage.googleapis.com/moz-fx-normandy-prod-addons/extensions/hotfix-update-xpi-intermediate%40mozilla.com-1.0.2-signed.xpi
[2] https://news.ycombinator.com/item?id=19826903
"

A Studies bekapcsolásától sem kell félni. Elég egyszer bekapcsolni, meg újraindítani a böngészőt, az about:studies oldalon ellenőrizhető, hogy települt-e a hotfix. Ha sikeresen települt, akkor ki lehet
újra kapcsolni ezt a Studies funkciót. Ilyen rövidke telemetriás adatmegosztásba senki nem hal bele.


No keyboard detected... Press F1 to run the SETUP

A fő kérdés hogy miért nem alkalmas az updaterük erre?

Ezt én sem tudom. Szerintem mert az a cert-et nem frissíti, csak a binárisokat. Ígérik, hogy hamarosan az új binárisokba is beleteszik ezt.


No keyboard detected... Press F1 to run the SETUP

Nekem úgy tűnik hogy alkalmas, csak az lassan terjesztené a változásokat, és ezért kell a Studies.
De lehet hogy félreértem:

"10:50 a.m. UTC / 03:50 a.m. PDT: We rolled-out a fix for release, beta and nightly users on Desktop. The fix will be automatically applied in the background within the next few hours, you don’t need to take active steps.

In order to be able to provide this fix on short notice, we are using the Studies system. You can check if you have studies enabled by going to Firefox Preferences -> Privacy & Security -> Allow Firefox to install and run studies."

Én (szerencsére) nem találkoztam a fenti problémával. Az about:studies oldalon a hotfix-update-xpi-signing-intermediate-bug-1548973 aktív. Valószínűleg emiatt :-)
openSUSE Leap 15, Firefox 66.0.3, mozilla repository.

Köszönet.

(A "tanulmányt" meg kapcsolja be a godzilla q anyja... Privát kulcsot ne adjak?)

- - -
TransferWise refer
Humble Monthly refer

Tehát egy random arc által gyártott .xpi az fasza(*), de ha a Mozilla/Firefox akar valami csinálni, az fujj-fujj, mongyonle.

*) És ha jól látom, ha egyszer feltetted, az ott marad, amíg kézzel ki nem nyomod a szemét. De hátha azóta már fejlesztettek rajta.

> de ha a Mozilla/Firefox akar valami csinálni, az fujj-fujj, mongyonle.

Ez az, hogy nem a Mozilla akar csinálni valamit, hanem azt akarják, hogy én takaritsam utánuk a kakit. Hajlandó vagyok rányomni a kiegészítők fülön a "Frissítések keresésé"-re (ezt amúgy is szoktam), esetleg újra is indítom aböngészőt, de ne kelljen már kapcsolgatnom mindenféle "akármit". Nélkülem barmolták el, hát oldják is meg nélkülem.

- - -
TransferWise refer
Humble Monthly refer

de mi a faxert nem adnak ki egy uj FF verziot inkabb?

Ki fognak adni, egyelőre még nincsenek kész vele. Majd jön ki a patchelt verzió „when it’s done” :D


No keyboard detected... Press F1 to run the SETUP

Nekem most tűnt fel.
Köszi, hogy nem kell topikot indítani.

A redditen olvasgatom a workaroundokat, aranyosak, pl.:

- Better yet, tell Mozilla and their stupid cert crap to go fuck themselves.

xpinstall.signatures.required = false

No more Mozilla babysitting your addons. Fuck them and fuck signature verification bullshit. I own my computer, not Mozilla.

Sajnos csak ESR és nightly verziókkal megy...

a hotfixben lévő cert alapján legközelebb 2025 ápr 4-én kezdhettek aggódni :)

Mármint: emiatt. :-)

Lennart már a Mozillának is bedolgozik", vagy mi van itt? :P

- - -
TransferWise refer
Humble Monthly refer

systemd-browserd

--
http://blog.htmm.hu/

LoL vagy systemd-browserd-addond

- - -
TransferWise refer
Humble Monthly refer

Ha a Flashplayer nem kopott volna ki, még az is beférne a sor végére -flashplayerd formában :D


No keyboard detected... Press F1 to run the SETUP

Azaz :)
____________________
echo crash > /dev/kmem

Amúgy tényleg lehet ősszefüggés a systemd-vel.
Van két gépem ugyanazzal a firefox-verzióval, az egyik manjaro (systemd-vel), a másik artix (systemd-mentes).
Ez utóbbin az ff immunis(nak bizonyult idáig) a bajtól, az előbbin most hajtottam végre másodszor a set_addons_as_signed()-ot.
--
[laca@manjaro ~]$ %blow
bash: fg: %blow: no such job

Másik különbség nálam is a hotfix-update-xpi-signing-intermediate-bug-1548973 ...
--
[laca@artix ~]$ %blow
bash: fg: %blow: no such job

nem csak az ESR. a 66.0.3 (64-bit) mac verzio is :(

Ma reggel én is így jártam. Most visszatöltődtek az addonjaim, úgy néz ki, kijavították a hibát.
Viszont az hogy központilag ezt így el lehet kaszálni és újra lehet engedélyezni csak úgy, nem túl bizalomgerjesztő.
Még újra se indítottam a firefoxot.

nekem nem :/ pedig már szénné hákoltam ezt a csodát...

--
"Nem akkor van baj amikor nincs baj, hanem amikor van!"
Népi bölcsesség

"nem túl bizalomgerjesztő" - Mi az hogy.., ez hatalmas öngól, mert a normálisan paranoiás felhasználó azonnal elkezd keresni másik böngészőt, azaz az amúgy sem túl széles felhasználói kör szinte biztosan tovább erodálódik. (Megjegyzem ez a kis "hiba", nálam szinte kizárólag a böngésző biztonsági kiterjesztéseit érintette, - azaz a blokkerek ellen szólt, - a Mozilla ezek kikapcsolásával a felhasználók tömegeit sodorta veszélyes vírusfertőzések közelébe...)

+1, szerintem is baromi nagy lábonlövés a mozzarellának, tényleg kb. mintha kikapcsolták volna a tűzfalat.

--
"Nem akkor van baj amikor nincs baj, hanem amikor van!"
Népi bölcsesség

Rémesen szar hellyé várt az Internet, igy, hogy látom az összes szart amit az arcomba dobál. Pfejjj....
-------------------------
Dropbox refer - mert kell a hely: https://db.tt/V3RtXWLl
neut @ présház

Pont így vagyok vele én is :P

+1

nagyon furcsa látni a reklámokat.

Egy pillanatig sem történhet meg...!!! - Ha ilyesmit tapasztallunk, böngészés előtt előbb rendbehozzuk a nyavajást. :) (Többek között erre is jó a XUL-os verziók "classic"-témája, mert a megjelenő íves fülekből azonnal tudja (tudta,) az ember, hogy baj van a kiegészítőkkel, és-v. - ami még rosszabb, - auto-ba lefrissült a dög.)

Gyors és Egyszerű opció,
a linkelt fájlt megnyitni böngészőben és engedélyezni,

https://storage.googleapis.com/moz-fx-normandy-prod-addons/extensions/hotfix-update-xpi-intermediate%40mozilla.com-1.0.2-signed.xpi

Debian 9 x64
Firefox 66.0.3 (64 bit) alatt tesztelve, működik.

Nekem a Windows 10 gépemen műkszik rendesen újra.
Reggel szállt el.

és minek hatására jött rendbe?

--
"Nem akkor van baj amikor nincs baj, hanem amikor van!"
Népi bölcsesség

Gondolom valami fix. Én nem csináltam semmit.

Nekem Debian alatt nem ESR firefox ma jött rendbe. A megoldást a tanulmányok ideiglenes bekapcsolása jelentette.

Ma reggel az Androidos Firefox játszotta el ugyan ezt.


<3 openSUSE, Ubuntu, KDE <3

A kijött Firefox 66.0.4, illetve Firefox ESR 60.6.2 verziók javítják a problémát (emelett a Nightly és a Developer Edition is megjavult nálam).

Az jó, mert nálam a Developer Edition nem javult meg. Én javítottam meg kézzel, de ugyanaz a verzió van, ami 3 napja is, 67.0b16. Pedig ennek gyorsabban kellett volna frissülnie, mint az stable és ESR ágnak.

Szerk.: végül késő este frissült a 67.0b17-re. Ez a verzió már foltozott gondolom. Aki Developer Editiont használ, frissítsen erre a verzióra.


No keyboard detected... Press F1 to run the SETUP

Addig rendben is van, amíg a következő frissített verzió megfelel a felhasználóknak. A gond azzal van, ha az ember, - ilyen vagy olyan okból, - meg akarja tartani a korábbi böngésző-verziót. És ekkor derül ki, hogy nem csak a tanúsítvány "elöregedése" a probléma, de még ezer más gond is van a frissüléssel. Azaz megkockáztatom, a fejlesztők direkt a korábbi verziót használók ellen mentek, bevállalva azt, hogy az újabb verziók gazdái is néhány napra "lehevernek". Nagyon durva, mert ha a botnetek gazdái résen voltak, akkor hétvégén világszerte tetemesen növelhették volna a nodjaik számát, köszönhetően a Mozilla kamikaze-akciójának.

Firefox 56.0.2 és régebbire megoldás (52.9.0 ESR-en is működik):
https://www.reddit.com/r/firefox/comments/bkspmk/addons_fix_for_5602_older/
és
https://www.velvetbug.com/benb/icfix/

Köszi ez jó volt, mert BSD-n a böngésző-konzolos megoldás hibára fut, (nem tudja a db-t frissíteni jogosultság híján) - A "pem" manuális importja megoldja a problémát.

Nekem is rendbe jött, pontosabban a hotfixet leszedtem és működik anélkül.
Viszont ismerőseim folyamatosan hívogatnak, hogy "megbolondult az Internet".

Ha egy oldal úgy kezdi, hogy az "életemért" cserébe hajlandó nekem fontos..., (általa *-nak jelzett!) információt átadni, csak írjam alá a "halálos ítéletemet", akkor az az info már nem is olyan fontos, - majd valamivel jobb feltételekkel máshonnan...